Debian Bug report logs - #514675
coreutils: id manpage is too short on details

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Mon, 9 Feb 2009 23:33:04 UTC

Severity: normal

Found in version coreutils/6.10-6

Fixed in version 7.1-1

Done: Benoît Knecht <benoit.knecht@fsfe.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, imputerate@puteracy.com, Michael Stone <mstone@debian.org>:
Bug#514675; Package coreutils. (Mon, 09 Feb 2009 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to imputerate@puteracy.com, Michael Stone <mstone@debian.org>. (Mon, 09 Feb 2009 23:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: coreutils: id manpage is too short on details
Date: Mon, 9 Feb 2009 23:29:57 +0000
[Message part 1 (text/plain, inline)]
Package: coreutils
Version: 6.10-6
Severity: normal

The manpage for id does not describe what information it prints.  It
should state that by default, the information printed is the username
and userid, default/current group name and group id, and the list of
groups (and the group ids) to which that user belongs, instead of merely
stating "Without any OPTION, print some useful set of identified [sic]
information."

The description should be changed from "Print information for USERNAME,
or the current user." to "Print information about the user and groups
for the user specified by USERNAME, or the current user if USERNAME is
not specified."

A user who has never heard of id should be able to determine how to
properly use it by looking solely at the manual page.  In its current
state, that's apparently not the case; hence, this bug.

If you specify whether you'd like the manpage in man, mdoc, or DocBook
5.0 format, I'll happily provide you with a non-autogenerated manpage
with useful information.

My client, who pointed out the lack of information, is in X-Debbugs-CC.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages coreutils depends on:
ii  libacl1                       2.2.47-2   Access control list shared library
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libselinux1                   2.0.65-5   SELinux shared libraries

coreutils recommends no packages.

coreutils suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#514675; Package coreutils. (Sat, 14 Feb 2009 08:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Meyering <jim@meyering.net>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sat, 14 Feb 2009 08:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 514675@bugs.debian.org (full text, mbox):

From: Jim Meyering <jim@meyering.net>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: bug-coreutils@gnu.org
Subject: Re: Bug#514675: coreutils: id manpage is too short on details
Date: Sat, 14 Feb 2009 09:17:00 +0100
"brian m. carlson" <sandals@crustytoothpaste.ath.cx> wrote:
> Package: coreutils
> Version: 6.10-6
> Severity: normal
>
> The manpage for id does not describe what information it prints.  It
> should state that by default, the information printed is the username
> and userid, default/current group name and group id, and the list of
> groups (and the group ids) to which that user belongs, instead of merely
> stating "Without any OPTION, print some useful set of identified [sic]
> information."
>
> The description should be changed from "Print information for USERNAME,
> or the current user." to "Print information about the user and groups
> for the user specified by USERNAME, or the current user if USERNAME is
> not specified."

Good idea.

> A user who has never heard of id should be able to determine how to
> properly use it by looking solely at the manual page.  In its current
> state, that's apparently not the case; hence, this bug.
>
> If you specify whether you'd like the manpage in man, mdoc, or DocBook
> 5.0 format, I'll happily provide you with a non-autogenerated manpage
> with useful information.

Thanks!  If you'd like to contribute more to coreutils,
instructions/guidelines are here:

  http://git.sv.gnu.org/cgit/coreutils.git/plain/HACKING

I'll soon push the following change upstream:


From 4ca909e06dbc8dfa998b70d28a8fbf95991c12b1 Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering@redhat.com>
Date: Sat, 14 Feb 2009 09:09:17 +0100
Subject: [PATCH] doc: id: make --help and .man more descriptive

* src/id.c (usage): Improve description, based on a suggestion
from Brian M. Carlson in http://bugs.debian.org/514675
* man/id.x: Use a better one-liner, based on the one at top of id.c.
---
 THANKS   |    1 +
 man/id.x |    2 +-
 src/id.c |    3 ++-
 3 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/THANKS b/THANKS
index a3f9801..bedb01a 100644
--- a/THANKS
+++ b/THANKS
@@ -82,6 +82,7 @@ Bob Proulx                          rwp@fc.hp.com
 Branden Robinson                    branden@necrotic.deadbeast.net
 Brendan O'Dea                       bod@compusol.com.au
 Brian Kimball                       bfk@footbag.org
+Brian M. Carlson                    sandals@crustytoothpaste.ath.cx
 Brian Silverman                     bsilverman@conceptxdesign.com
 Brian Youmans                       3diff@gnu.org
 Bruce Korb                          bkorb@veritas.com
diff --git a/man/id.x b/man/id.x
index 4c990ac..d55b326 100644
--- a/man/id.x
+++ b/man/id.x
@@ -1,4 +1,4 @@
 [NAME]
-id \- print user identity
+id \- print real and effective user and group IDs
 [DESCRIPTION]
 .\" Add any additional description here
diff --git a/src/id.c b/src/id.c
index 05ad2d8..78f78e0 100644
--- a/src/id.c
+++ b/src/id.c
@@ -81,7 +81,8 @@ usage (int status)
     {
       printf (_("Usage: %s [OPTION]... [USERNAME]\n"), program_name);
       fputs (_("\
-Print information for USERNAME, or the current user.\n\
+Print user and group information for the specified USERNAME,\n\
+or (when USERNAME omitted) for the current user.\n\
 \n\
   -a              ignore, for compatibility with other versions\n\
   -Z, --context   print only the security context of the current user\n\
--
1.6.2.rc0.234.g2cc0b3




Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:35 GMT) Full text and rfc822 format available.

Reply sent to Benoît Knecht <benoit.knecht@fsfe.org>:
You have taken responsibility. (Mon, 11 Jul 2011 12:36:10 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Mon, 11 Jul 2011 12:36:31 GMT) Full text and rfc822 format available.

Message #17 received at 514675-done@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: 514675-done@bugs.debian.org
Cc: Michael Stone <mstone@debian.org>
Subject: Bug#514675: Fixed upstream and in Debian
Date: Mon, 11 Jul 2011 14:31:36 +0200
Version: 7.1-1

This bug [1] has been fixed upstream [2] since version 7.1, and hence in
Debian since version 7.1-1.

[1] http://bugs.debian.org/514675
[2] http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=1eaacac3120f59bd90544d0f4257b87b0df324ee




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Aug 2011 07:43:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:43:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.